### File managed with puppet ###
## Module: puppet-katello

:katello:
  :rest_client_timeout: 3600

  :content_types:
    :file: true
    :yum: true
    :deb: true
    :puppet: false
    :docker: true
    :ansible_collection: true
    :ostree: false

  :candlepin:
    :url: https://localhost:23443/candlepin
    :oauth_key: "katello"
    :oauth_secret: "gohHeZwAngEKeKHjjSo54xLVs5H2XPBr"
    :ca_cert_file: /etc/pki/katello/certs/katello-default-ca.crt

  :candlepin_events:
    :ssl_cert_file: /etc/foreman/client_cert.pem
    :ssl_key_file: /etc/foreman/client_key.pem
    :ssl_ca_file: /etc/pki/katello/certs/katello-default-ca.crt

  :agent:
    :enabled: true
    :broker_url: amqps://localhost:5671
    :event_queue_name: katello.agent

  :katello_applicability: true
